<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->
<h2 [innerText]="messages.INFORMATION_TITLE"></h2>

<div class="ls-form inline-label content">
  <div>
    <label [innerText]="messages.BROWSER_DETECTED_LABEL"></label>
    <span [innerText]="deviceService.getDeviceInfo().browser+ ' '+deviceService.getDeviceInfo().browser_version"></span>
  </div>

  <div>
    <label [innerText]="messages.ELECTRONIC_SIGNING_COMPATIBILITY_LABEL"></label>
    <span [ngClass]="{'text-success': signingCompatibility, 'text-warning': !signingCompatibility}">
      <fa-icon [icon]="signingCompatibility ? commonIcons.VALIDATED_ICON : commonIcons.WARNING_ICON"></fa-icon>
      <span [innerText]="signingCompatibility ? messages.COMPATIBLE : messages.NOT_COMPATIBLE"></span>
    </span>
  </div>

  <ng-container *ngIf="signingCompatibility">
    <ng-container [ngSwitch]="liberSignExtension.status">

      <div *ngSwitchCase="LiberSignExtensionStatus.ExtensionNotInstalled" class="alert alert-info">
        <fa-icon class="me-2" [icon]="messages.INFO_ICON"></fa-icon>
        <span [innerText]="messages.INSTALLATION_HELP_TEXT "></span>
        <button
          class="ms-2"
          ls-button
          (click)="openHelpPopup()"
          [text]="messages.INSTALLATION_HELP_BUTTON_LABEL"
          [icon]="messages.HELP_ICON"></button>
      </div>

      <ng-container *ngSwitchDefault>
        <div *ngIf="liberSignExtension.status === LiberSignExtensionStatus.ExtensionInstalledObsolete" class="alert alert-warning">
          <fa-icon class="me-2" [icon]="commonIcons.WARNING_ICON"></fa-icon>
          <span [innerHTML]="messages.LIBERSIGN_EXTENSION_OBSOLETE "></span>
        </div>
        <div *ngIf="liberSignExtension.status">
          <label [innerText]="messages.EXTENSION_LABEL"></label>
          <span class="text-info" [innerText]="messages.version(liberSignExtension.version)"></span>
        </div>

        <ng-container [ngSwitch]="liberSignApplication.status">
          <div *ngSwitchCase="LiberSignApplicationStatus.Checking" class="alert alert-info">
            <fa-icon class="me-2" [icon]="commonIcons.SPINNER_ICON" [spin]=true></fa-icon>
            <span [innerText]="messages.LIBERSIGN_APPLICATION_CHECKING "></span>
          </div>

          <div *ngSwitchCase="LiberSignApplicationStatus.ApplicationNotInstalled" class="alert alert-info">
            <fa-icon class="me-2" [icon]="messages.INFO_ICON"></fa-icon>
            <span [innerText]="messages.NATIVE_APPLICATION_NOT_INSTALLED "></span>
            <button
              class="ms-2"
              ls-button
              (click)="openHelpPopup()"
              [text]="messages.INSTALLATION_HELP_BUTTON_LABEL"
              [icon]="messages.HELP_ICON"></button>
          </div>

          <ng-container *ngSwitchDefault>
            <div>
              <label [innerText]="messages.LIBERSIGN_LABEL"></label>
              <span class="text-success">
                <fa-icon [icon]="commonIcons.VALIDATED_ICON"></fa-icon>
                <span [innerText]="messages.version(this.liberSignApplication.version)"></span>
              </span>
            </div>
          </ng-container>
        </ng-container>
      </ng-container>
    </ng-container>
  </ng-container>
</div>



